Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5605 - Kickstart, NFS, and --bootproto static
Summary: Kickstart, NFS, and --bootproto static
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 21:41 UTC by matt.samsonoff
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-11 19:58:04 UTC


Attachments (Terms of Use)

Description matt.samsonoff 1999-10-05 21:41:21 UTC
If you use ks=floppy with NFS, the loader configures
networking via DHCP and ignores the network config in the
kickstart file.

This fails horribly on my network because the addresses in
the DHCP pool don't have names (I don't know why -- not my
DHCP or DNS server) and the NFS server doesn't like to serve
clients without host names. I'm trying to use --bootproto
static so I can assign a static IP address that has a proper
host name to each client machine and avoid the NFS server's
objections.

Check out the code near anaconda/loader/net.c:511 which
reads something like this:

>  if (!bootProto)
>    bootProto = "dhcp";
>
>  if (!bootProto) {
>    if (ksGetCommand ...
>      :
>      : /* reads ks.cfg network info */
>      :

Yikes.

Comment 1 Jay Turner 1999-10-20 19:25:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 cavanaug 1999-10-21 08:25:59 UTC
I have this problem as well and its *really* annoying. It is severely
holding up a larger scale deployment of Linux within our division.

I will be willing to test any fixes to this on a moments notice.
Just send me a new bootnet.img file.  --John C

Comment 3 Shawn M. Green 1999-12-18 04:55:59 UTC
I'm having a similar, yet altogether different problem.  When doing a netboot
with the ks=floppy, I am specifying a static IP in the ks.cfg file.  The thing
is that is still hits my dhcp server and tries to continue that way.  Needless
to say, it's not joyous in the least.

Sigh...just one of the many bugs that I'm finding in kickstart.  Just need to
figure out the rest of them now.  :)

Comment 4 Jay Turner 2000-02-11 19:57:59 UTC
This issue is resolved in the latest installer available in beta.


Note You need to log in before you can comment on or make changes to this bug.